QXmpp Version:0.7.6

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
List of all members
QXmppSessionIq Class Reference
Stanzas

The QXmppSessionIq class represents an IQ used for session establishment as defined by RFC 3921. More...

`#include <QXmppSessionIq.h>`

Inheritance diagram for QXmppSessionIq:

## Additional Inherited Members

Public Types inherited from QXmppIq
enum | Type { Error = 0, Get, Set, Result }
| This enum describes the type of IQ. More...
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)

## Detailed Description

The QXmppSessionIq class represents an IQ used for session establishment as defined by RFC 3921.

The documentation for this class was generated from the following file:

- QXmppSessionIq.h